Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools
Class LogAnalyzer

    java.lang.Object
      lbg.simulator.tools.LogAnalyzer

    public abstract class LogAnalyzer

extends java.lang.Object

Analyzes a given LBG simulator log file.

Author:
  Cyril Briquet

Constructor Summary
`LogAnalyzer()`

Method Summary
`static java.lang.String` | `analyzeLog(java.lang.String log_name, GlobalPropertiesStore global_props_store, java.lang.StringBuffer sb_encountered_exceptions, java.util.concurrent.atomic.AtomicInteger encountered_exceptions)` Analyzes target log.
`static java.lang.String` | `analyzeScenario(java.lang.String log_name)` Analyzes scenario of target log.
`static boolean` | `isStrategyProperty(java.lang.String prop)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogAnalyzer

    public LogAnalyzer()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### analyzeLog

    public static java.lang.String analyzeLog(java.lang.String log_name,
                                              GlobalPropertiesStore global_props_store,
                                              java.lang.StringBuffer sb_encountered_exceptions,
                                              java.util.concurrent.atomic.AtomicInteger encountered_exceptions)
                                       throws GridException

  Analyzes target log.

  Parameters:
    `log_name` - log filenmame
    `global_props_store` - global properties store where to store the extracted properties
    `sb_encountered_exceptions` - encountered Exceptions store, where Exceptions found in log files will be reported
    `encountered_exceptions` - counter of encountered Exceptions
  Returns:
    CSV-formatted summary of values of extracted properties
  Throws:
    `GridException`

### analyzeScenario

    public static java.lang.String analyzeScenario(java.lang.String log_name)
                                            throws GridException

  Analyzes scenario of target log.

  Parameters:
    `log_name` - log filenmame
  Returns:
    CSV summary of scenario
  Throws:
    `GridException`

### isStrategyProperty

    public static boolean isStrategyProperty(java.lang.String prop)
                                      throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.